=== debian/changelog ===
bookworm (0.6-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17.
  * Drop redundant libwebkit2gtk-4.0-37 build-depend.
  * Convert to 3.0 (quilt) source format.
  * debian/control: minimum B-D version of libwebkit2gtk-4.0-37-dev is 2.16.0.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 04 Sep 2017 17:18:16 -0700

bookworm (0.6-0~42~ubuntu17.04.1) zesty; urgency=low

  * Auto build.

 -- Siddhartha Das <email.siddharthadas@gmail.com>  Thu, 03 Aug 2017 07:15:03 +0000

bookworm (0.6) xenial; urgency=low

  * Initial Release (26-Apr-2017)

 -- Siddhartha Das <bablu.boy@gmail.com>  Mon, 15 May 2017 20:00:00 -0000
