=== debian/control ===
Source: bookworm
Section: text
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Siddhartha Das <bablu.boy@gmail.com>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               libgee-0.8-dev,
               libgtk-3-dev (>= 3.14),
               valac (>= 0.26),
               libgranite-dev (>= 0.3.0),
               libwebkit2gtk-4.0-dev (>= 2.16.0),
               libsqlite3-dev,
               libpoppler-glib-dev
Standards-Version: 3.9.6

Package: bookworm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 unzip, poppler-utils, unrar
Description: ebook reader which supports multiple formats
 A simple user-centric eBook reader which displays multiple eBook
 formats uniformly.
