## bookworm 1.1.2%2Bgit20210311

=== debian/changelog ===
bookworm (1.1.2+git20210311-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 11 May 2021 16:10:48 -0400

com.github.babluboy.bookworm (1.1.2) bionic; urgency=medium

  * Initial Release.

 -- Siddhartha Das <bablu.boy@gmail.com>  Sun, 21 Oct 2018 04:53:39 -0500
