=== debian/control ===
Source: bookworm
Section: text
Priority: extra
Maintainer: Siddhartha Das <bablu.boy@gmail.com>
Build-Depends: debhelper,
               gettext,
               libgtk-3-dev (>= 3.10),
               meson,
               valac (>= 0.28.0),
               libgee-0.8-dev,
               libgranite-dev (>= 0.5),
               libsqlite3-dev,
               libxml2,
               libxml2-dev,
               libwebkit2gtk-4.0-dev,
               libpoppler-glib-dev,
               ninja-build
Standards-Version: 4.1.1

Package: bookworm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, unzip, poppler-utils, unar, html2text, python2, curl, appstream
Description: eBook Reader
 A simple and focussed eBook reader
