## bookworm 1.1.2%2Bgit20210715

=== debian/changelog ===
bookworm (1.1.2+git20210715-5) unstable; urgency=medium

  * QA upload.
  * Remove manual build dependency on libxml2.

 -- Adrian Bunk <bunk@debian.org>  Wed, 20 Aug 2025 10:49:27 +0300

bookworm (1.1.2+git20210715-4) unstable; urgency=medium

  * QA upload
  * Add patch to switch from webkit2gtk 4.0 to 4.1
  * Update Build-Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Jan 2024 18:21:10 -0500

bookworm (1.1.2+git20210715-3) unstable; urgency=medium

  * QA upload.

  [ Boyuan Yang ]
  * debian/control: Bump Standards-Version to 4.6.2.
  * Orphan package.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libgranite-dev, libgtk-3-dev
      and valac.

 -- Boyuan Yang <byang@debian.org>  Sun, 20 Aug 2023 21:22:40 -0400

bookworm (1.1.2+git20210715-2) unstable; urgency=medium

  * debian/rules: Store pre-generated man page for now instead of
    running help2man in runtime. This workarounds embedded debugging
    information in help2man output. (Closes: #970277)
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * debian/salsa-ci.yml: Add Salsa CI support.

 -- Boyuan Yang <byang@debian.org>  Tue, 31 Aug 2021 20:03:55 -0400

bookworm (1.1.2+git20210715-1) unstable; urgency=high

  * New upstream git snapshot.
    + Add workaround to fix python3 script compilation failure.
      (Closes: #970191)
  * debian/patches: Add hotfix on python2 print syntax.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Jul 2021 16:59:03 -0400

bookworm (1.1.2+git20200823-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Fri, 11 Sep 2020 09:39:57 -0400

bookworm (1.1.2+git20200529-1) unstable; urgency=medium

  * Initial Release. (Closes: #883867)

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Jun 2020 14:33:37 -0400
