=== debian/control ===
Source: bookworm
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3:any,
 gettext,
 libgee-0.8-dev,
 libgranite-dev,
 libgtk-3-dev,
 libpoppler-glib-dev,
 libsqlite3-dev,
 libwebkit2gtk-4.1-dev,
 libxml2-dev,
 meson,
 valac,
 help2man,
Standards-Version: 4.6.2
Homepage: https://babluboy.github.io/bookworm/
Vcs-Git: https://salsa.debian.org/debian/bookworm.git
Vcs-Browser: https://salsa.debian.org/debian/bookworm

Package: bookworm
Architecture: any
Depends:
 html2text,
 poppler-utils,
 unar,
 unzip,
 ${misc:Depends},
 ${shlibs:Depends},
 ${python3:Depends},
Conflicts: com.github.babluboy.bookworm
Provides: com.github.babluboy.bookworm
Replaces: com.github.babluboy.bookworm
Description: Simple, focused eBook Reader
 The bookworm tool helps you to read eBooks of different
 formats, including epub, pdf, mobi, cbr, etc. It provides
 an easy, simple layout to read books irrespective of the
 ebook format.
