## bookworm 1.1.2+git20200823

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: bookworm
 Section: text
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  python3:any,
  gettext,
  libgee-0.8-dev,
- libgranite-dev,
- libgtk-3-dev,
+ libgranite-dev (>= 0.5),
+ libgtk-3-dev (>= 3.10),
  libpoppler-glib-dev,
  libsqlite3-dev,
- libwebkit2gtk-4.1-dev,
+ libwebkit2gtk-4.0-dev,
+ libxml2,
  libxml2-dev,
  meson,
- valac,
+ valac (>= 0.28.0),
  help2man,
-Standards-Version: 4.6.2
+Standards-Version: 4.5.0
 Homepage: https://babluboy.github.io/bookworm/
 Vcs-Git: https://salsa.debian.org/debian/bookworm.git
 Vcs-Browser: https://salsa.debian.org/debian/bookworm
