## bookworm 1.1.2+git20210715

=== debian/changelog ===
bookworm (1.1.2+git20210715-2build1) jammy; urgency=medium

  * No-change rebuild against latest granite

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 24 Oct 2021 08:26:18 -0400
