=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  meson,
  valac (>= 0.28.0),
  help2man,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://babluboy.github.io/bookworm/
 Vcs-Git: https://salsa.debian.org/debian/bookworm.git
 Vcs-Browser: https://salsa.debian.org/debian/bookworm
