=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

%:
	dh $@

execute_after_dh_auto_clean:
	rm -rf debian/build obj-*

override_dh_python3:
	dh_python3 -p $(DEB_SOURCE) usr/share/com.github.babluboy.bookworm/scripts/ --shebang=/usr/bin/python3
	find $(CURDIR)/debian/ -name '*.pyc' -delete

override_dh_installman:
	#help2man --name="$(DEB_SOURCE)" -s1 -N --version-string="$(DEB_VERSION)" -o debian/com.github.babluboy.bookworm.1 $(CURDIR)/debian/bookworm/usr/bin/com.github.babluboy.bookworm
	#sed -i '/.*DEBUG.*/d' $(CURDIR)/debian/com.github.babluboy.bookworm.1
	dh_installman $(CURDIR)/debian/com.github.babluboy.bookworm.1
